Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Backpack.PreModuleShape

# Documentation

data PreModuleShape Source #

Constructors

PreModuleShape |

Fields

- preModShapeProvides :: Set ModuleName
- preModShapeRequires :: Set ModuleName

#### Instances

Instances details

Generic PreModuleShape Source # |
Instance details Defined in Distribution.Backpack.PreModuleShape Associated Types type Rep PreModuleShape :: Type -> Type Source # Methods from :: PreModuleShape -> Rep PreModuleShape x Source # to :: Rep PreModuleShape x -> PreModuleShape Source #
Show PreModuleShape Source # |
Instance details Defined in Distribution.Backpack.PreModuleShape Methods showsPrec :: Int -> PreModuleShape -> ShowS Source # show :: PreModuleShape -> String Source # showList :: [PreModuleShape] -> ShowS Source #
Eq PreModuleShape Source # |
Instance details Defined in Distribution.Backpack.PreModuleShape Methods (==) :: PreModuleShape -> PreModuleShape -> Bool # (/=) :: PreModuleShape -> PreModuleShape -> Bool #
type Rep PreModuleShape Source # |

Instance details

Defined in Distribution.Backpack.PreModuleShape

type Rep PreModuleShape = D1 ('MetaData "PreModuleShape" "Distribution.Backpack.PreModuleShape" "Cabal-3.10.1.0" 'False) (C1 ('MetaCons "PreModuleShape" 'PrefixI 'True) (S1 ('MetaSel ('Just "preModShapeProvides") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Set ModuleName)) :*: S1 ('MetaSel ('Just "preModShapeRequires") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Set ModuleName))))

toPreModuleShape :: ModuleShape -> PreModuleShape Source #

renamePreModuleShape :: PreModuleShape -> IncludeRenaming -> PreModuleShape Source #

mixLinkPreModuleShape :: [PreModuleShape] -> PreModuleShape Source #